#keep level 2 fight #3
from eventAPI import *
from APIUtils import *

rtKeep2Flag3=0

def fireEvent(e):
   global rtKeep2Flag3
   rtKeep2Flag3 = getTag(e, "rtKeep2Flag3")
   if (rtKeep2Flag3 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag3 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Harpy", 4, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag3
   rtKeep2Flag3 = 1
   setTag(e, "rtKeep2Flag3", rtKeep2Flag3)
